package com.ssm.util.sms.excel.validation.base;

import com.ssm.util.sms.excel.exception.ValidationException;
import com.ssm.util.sms.excel.validation.Validation;

public class NumberOrLetterValidation implements Validation {
	private Validation validation;

	public NumberOrLetterValidation(String errorTip) {
		this.validation = new RegexValidation("\\w+", errorTip);
	}

	public boolean validate(int rowIndex, Integer[] index, String[] value,
			StringBuffer message) throws ValidationException {
		return this.validation.validate(rowIndex, index, value, message);
	}
}
